Summary: Limit connect and CPU time for users.
Name: clobberd
Version: 3.2
Release: 1
Copyright: GPL
Group: Applications/Database
Source: ftp://sunsite.unc.edu/pub/Linux/system/admin/Clobberd-3.2-RELEASE.tgz
URL: http://stormfront.com.au/~jsno/
Patch0: clobberd-3.1-config.patch
Patch1: clobberd-3.1-glibc.patch
Patch2: clobberd-3.2-make.patch
Buildroot: /var/tmp/clobberd-root

%description
Clobberd will limit subscribed users, to a given:
              - A total time limit
              - A daily time limit per day
              - CPU limit at any given time
              - Memory limit at any given time
              - A niceness (priority) factor
All  or  some of the above can be exempt for a given user.

%changelog

* Wed May 13 1998 Michael Maher <mike@redhat.com>

- Added Build Root and updated package.

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>

- moved all config files into /etc/clobberd and made sure it was
  looking in the right place for it's config files.

%prep
%setup -c -n clobberd-%{PACKAGE_VERSION}

%patch0 -p1 -b .config 
%patch1 -p1 -b .glibc
%patch2 -p1 -b .make

%build
cd clobberd
make

%install
cd clobberd
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin

make install INSTALL_DIR=$RPM_BUILD_ROOT 

install -d -m 755 $RPM_BUILD_ROOT/etc/clobberd 
install -m 600 -o root -g root etc/clobberd.boot $RPM_BUILD_ROOT/etc/clobberd
install -m 644 -o root -g root etc/*.txt $RPM_BUILD_ROOT/etc/clobberd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc clobberd/INSTALL-3.2 clobberd/COPYING
%doc clobberd/public_html clobberd/cgi-bin
/usr/sbin/clobberd-3.2
/usr/sbin/testing-3.2
/usr/sbin/clobberpurge-3.2
/usr/sbin/clobberstat-3.2
/usr/sbin/clobbersh-3.2
/usr/sbin/clobberedit-3.2
%config /etc/clobberd/*
